<?
include("fnc.php");

$lineas=file("./documentos/alumnoscsv.csv");
echo "<table border='1'>";

for($i=0;$i<1;$i++){
  echo "<tr>";
  $campos=explode(",",$lineas[$i]);
  for($j=0;$j<count($campos);$j++){
   echo "<td>";
    echo $campos[$j]."<br>[$j]";
   echo "</td>";

  }
  //echo $lineas[$i]."<br>";
  echo "</tr>";
}

for($i=1;$i<count($lineas);$i++){
  echo "<tr>";
  $campos=explode(",",$lineas[$i]);
  $campos[7]=ucwords(strtolower($campos[7]));
  $campos[8]=ucwords(strtolower($campos[8]));

  for($j=0;$j<count($campos);$j++){
   echo "<td>";
    echo $campos[$j]."&nbsp;";
   echo "</td>";
  }

  $tmpc="0000";
  $ncorr=substr($tmpc,0,4-strlen($campos[0])).$campos[0];
  $carnet=$campos[2].$ncorr;
  $clave=base64_encode(substr($carnet,-4));
  $sql="insert into alumnos set carnet='$carnet', apellido='{$campos[7]}', nombre='{$campos[8]}', clave='$clave', clave_web='$clave'";
  $qver=mysql_query("select * from alumnos where carnet='$carnet'");

  if(mysql_num_rows($qver)>0){
   $campos[25]=str_replace(" ","",$campos[25]);
   $tmpfn=explode("/",$campos[56]);
   $fecha_nac=$tmpfn[2]."-".$tmpfn[1]."-".$tmpfn[0];
   $sql="update alumnos set fecha_nacimiento ='$fecha_nac', padre_nombre='{$campos[18]}', padre_telefono='{$campos[25]}', madre_nombre='{$campos[31]}' where carnet='$carnet'";
   $res=mysql_query($sql);
  echo "$sql";
  }
  //echo $lineas[$i]."<br>";
  echo "</tr>";
}

echo "</table>";
?>